Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cocoon.stax.navigation
Enum MatchingType

    java.lang.Object
      java.lang.Enum<MatchingType>
          org.apache.cocoon.stax.navigation.MatchingType

All Implemented Interfaces:
  Serializable, Comparable<MatchingType>

    public enum MatchingType

extends Enum<MatchingType>

Type used to specify if an input string matches nodes according to exact strings or should be interpreted in another way.

Enum Constant Summary
`RegexMatch`
`StringMatch`

Method Summary
`static MatchingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MatchingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### StringMatch

    public static final MatchingType StringMatch

### RegexMatch

    public static final MatchingType RegexMatch

Method Detail

### values

    public static final MatchingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MatchingType c : MatchingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MatchingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.